Next Previous Contents

## 3.77 islower

> Function

>   Check if a given character is a lower case letter.

> Header

>   `ctype.h`

> Declaration

>   `int __fastcall__ islower (int c);`

> Description

>   The function returns a non zero value if the given argument is a lower case letter. The return value is zero if the character is anything else.

> Limits

>   - When compiling with `-Os` the function is actually a macro. The inline sequence generated by the macro will not work correctly for values outside the range 0..255. Note: The constant `EOF` is not part of this range. The non inline function may be accessed by `#undef`'ing the macro.
>   - When compiling without `-Os`, the function is only available as fastcall function, so it may only be used in presence of a prototype.
> Availability

>   ISO 9899

> See also

>   isalnum, isalpha, isascii, isblank, iscntrl, isdigit, isgraph, isprint, ispunct, isspace, isupper, isxdigit

> Example

>   None.

Next Previous Contents